class CreateMOdrFileRoulages < ActiveRecord::Migration[6.0]
  def change
    create_table :m_odr_file_roulages do |t|
      t.references :m_odr_file, foreign_key: true
      t.references :m_event, foreign_key: true
      t.date :date
      t.integer :nbr_primes
      t.integer :nbr_primes_useds, :default => 0
      t.integer :nbr_primes_not_useds
      t.boolean :used, :default => false

      t.timestamps
    end
  end
end
